# AIEventVehicleUnprofitable Class Reference

Event Vehicle Unprofitable, indicating a vehicle lost money last year. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventVehicleUnprofitable:

## Public Member Functions
| AIEventVehicleUnprofitable (VehicleID vehicle_id)
VehicleID | GetVehicleID ()
| Get the VehicleID of the vehicle that lost money.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventVehicleUnprofitable * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
VehicleID | vehicle_id

## Detailed Description

Event Vehicle Unprofitable, indicating a vehicle lost money last year.

Definition at line 566 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventVehicleUnprofitable::AIEventVehicleUnprofitable | ( | VehicleID | vehicle_id | ) | `[inline]`

Parameters:

  | vehicle_id | The vehicle that was unprofitable.

Definition at line 574 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventVehicleUnprofitable* AIEventVehicleUnprofitable::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 584 of file ai_event_types.hpp.

static const char* AIEventVehicleUnprofitable::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 569 of file ai_event_types.hpp.

VehicleID AIEventVehicleUnprofitable::GetVehicleID | ( |  | ) | `[inline]`

Get the VehicleID of the vehicle that lost money.

Returns:
  The VehicleID of the vehicle that lost money.

Definition at line 590 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp